## ThunarMenu

ThunarMenu — Wrapper of GtkMenu to simplify the creation commonly used menu-sections in thunar

## Functions

gboolean | thunar_menu_add_sections ()
GtkWidget * | thunar_menu_get_action_manager ()

## Properties

ThunarActionManager * | action-mgr | Write / Construct Only
gboolean | change-directory-support-disabled | Write / Construct Only
gboolean | force-section-open | Write / Construct Only
int | menu-type | Write / Construct Only
gboolean | tab-support-disabled | Write / Construct Only

## Types and Values

enum | ThunarMenuType
enum | ThunarMenuSections

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkMenuShell
                        ╰── GtkMenu
                            ╰── ThunarMenu

## Description

ThunarMenu is a GtkMenu which provides a unified menu-creation service for different thunar widgets.

Based on the passed flags and selected sections, it fills itself with the requested menu-items by creating them with ThunarActionManager.

## Functions

### thunar_menu_add_sections ()

    gboolean
    thunar_menu_add_sections (ThunarMenu *menu,
                              ThunarMenuSections menu_sections);

Method to add different sections of GtkMenuItems to the ThunarMenu, according to the selected ThunarMenuSections

#### Parameters

menu | a ThunarMenu instance |
menu_sections | bit enumeration of ThunarMenuSections which should be added to the ThunarMenu |

#### Returns

TRUE if any GtkMenuItem was added

### thunar_menu_get_action_manager ()

    GtkWidget *
    thunar_menu_get_action_manager (ThunarMenu *menu);

#### Parameters

menu | a ThunarMenu instance |

#### Returns

The action manager of this ThunarMenu instance.

[transfer none]

## Types and Values

### enum ThunarMenuType

#### Members

THUNAR_MENU_TYPE_WINDOW |  |
THUNAR_MENU_TYPE_CONTEXT_STANDARD_VIEW |  |
THUNAR_MENU_TYPE_CONTEXT_LOCATION_BUTTONS |  |
THUNAR_MENU_TYPE_CONTEXT_RENAMER |  |
THUNAR_MENU_TYPE_CONTEXT_TREE_VIEW |  |
THUNAR_MENU_TYPE_CONTEXT_SHORTCUTS_VIEW |  |
N_THUNAR_MENU_TYPE |  |

### enum ThunarMenuSections

#### Members

THUNAR_MENU_SECTION_OPEN |  |
THUNAR_MENU_SECTION_SENDTO |  |
THUNAR_MENU_SECTION_CREATE_NEW_FILES |  |
THUNAR_MENU_SECTION_CUT |  |
THUNAR_MENU_SECTION_COPY_PASTE |  |
THUNAR_MENU_SECTION_TRASH_DELETE |  |
THUNAR_MENU_SECTION_EMPTY_TRASH |  |
THUNAR_MENU_SECTION_DUPLICATE |  |
THUNAR_MENU_SECTION_MAKELINK |  |
THUNAR_MENU_SECTION_RENAME |  |
THUNAR_MENU_SECTION_RESTORE |  |
THUNAR_MENU_SECTION_REMOVE_FROM_RECENT |  |
THUNAR_MENU_SECTION_CUSTOM_ACTIONS |  |
THUNAR_MENU_SECTION_ZOOM |  |
THUNAR_MENU_SECTION_PROPERTIES |  |
THUNAR_MENU_SECTION_MOUNTABLE |  |

## Property Details

### The `“action-mgr”` property

      “action-mgr”               ThunarActionManager *

action_mgr.

Owner: ThunarMenu

Flags: Write / Construct Only

### The `“change-directory-support-disabled”` property

      “change-directory-support-disabled” gboolean

change_directory-support-disabled.

Owner: ThunarMenu

Flags: Write / Construct Only

Default value: FALSE

### The `“force-section-open”` property

      “force-section-open”       gboolean

force-section-open.

Owner: ThunarMenu

Flags: Write / Construct Only

Default value: FALSE

### The `“menu-type”` property

      “menu-type”                int

menu-type.

Owner: ThunarMenu

Flags: Write / Construct Only

Allowed values: [0,5]

Default value: 0

### The `“tab-support-disabled”` property

      “tab-support-disabled”     gboolean

tab-support-disabled.

Owner: ThunarMenu

Flags: Write / Construct Only

Default value: FALSE